import { Component } from '@angular/core';
import { User } from '../../model/User';
import { ActivatedRoute } from '@angular/router';
import { UserService } from '../services/data/user.service';

@Component({
  selector: 'app-search',
  templateUrl: './search.component.html',
  styleUrl: './search.component.scss',
})
export class SearchComponent {
  query: String | undefined;
  users: Array<User> | undefined;
  
  constructor(private route: ActivatedRoute, private userSvc: UserService) {
    this.route.params.subscribe(params => { this.query = params['query'] ? params['query'] : "" });
  }

  ngOnInit(): void {
    this.userSvc.searchByUsername(this.query as String)
      .then(users => {
        this.users = users;
      })
      .catch(()=>{alert('failed to retrieve users')})
  }
}
